SDL Library Documentation
Prev |  | Next

# SDL_KillThread

## Name

SDL_KillThread -- Gracelessly terminates the thread.

## Synopsis

    #include "SDL.h"
    #include "SDL_thread.h"

``void SDL_KillThread`(SDL_Thread *thread);`

## Description

`SDL_KillThread` gracelessly terminates the thread associated with `thread`. If possible, you should use some other form of IPC to signal the thread to quit.

## See Also

`SDL_CreateThread`, `SDL_WaitThread`

Prev | Home | Next
SDL_WaitThread | Up | SDL_CreateMutex